<div class="wrap">
    <div class="icon32" id="icon-options-general"></div><h2><?php print CCFD_PUGIN_NAME ." ". CCFD_CURRENT_VERSION; ?></h2>
    
    <div class="ccfd-instructions">
	<h3>About this Plugin</h3>
	<p>WP Cookie Consent is a lightweight plugin designed for WordPress developers and others with CSS knowledge to comply with the EU Cookie Directive.</p>
	<p>In this implementation, a cookie warning message is displayed at the top of the website. If and when a user accepts the site's use of cookies, code for cookies requiring users' explicit acceptance - e.g. Google Analytics - is included in the site until the cookie expires in 2022 or a user manually clears their cookies.</p>
	<p>Our starting point for this plugin was DareToThink's <a href="http://www.daretothink.co.uk/blog/snippets/eu-cookie-law-script/">Free EU Cookie Law Script</a></p>
	<h3 class="last">Customizing the Plugin</h3>
	<p>All text used in the cookie warning message may be configured by entering your desired text in the appropriate field below.</p>
	<p>Any code for cookies that should be run on condition of users' consent should also be included below. If present, this code will be placed at the bottom of the site's <code>head</code> element.</p>
	<p>Styles of all elements used in the cookie warning message may be customized by adding your chosen styles in the CSS field below. If present, this CSS will be included as an internal style sheet in the <code>head</code>. Of course, styles may be declared in your own external style sheets instead; just delete the declarations made here.</p>
    </div>    
    
    <form method="post" action="options.php">
	<?php
		settings_fields( 'ccfd-settings-group' );
	?>
	<table class="form-table ccfd-settings">
	    <tr valign="top">
	    <th scope="row"><label for="warning_text">Warning Text</label></th>
	    <td><input type="text" name="warning_text" value="<?php echo get_option('warning_text'); ?>" /></td>
	    </tr>
	     
	    <tr valign="top">
	    <th scope="row"><label for="accept_text">Accept Text</label></th>
	    <td><input type="text" name="accept_text" value="<?php echo get_option('accept_text'); ?>" /></td>
	    </tr>
	    
	    <tr valign="top">
	    <th scope="row"><label for="learn_more_text">Learn More Text</label></th>
	    <td><input type="text" name="learn_more_text" value="<?php echo get_option('learn_more_text'); ?>" /></td>
	    </tr>
	    
	    <tr valign="top">
	    <th scope="row"><label for="learn_more_text">Learn More Link Text</label></th>
	    <td><input type="text" name="learn_more_link" value="<?php echo get_option('learn_more_link'); ?>" /></td>
	    </tr>
	    
	    <tr valign="top">
	    <th scope="row"><label for="conditional_code">Conditional Code</label></th>
	    <td><textarea name="conditional_code"><?php echo get_option('conditional_code'); ?></textarea></td>
	    </tr>
	    
	    <tr valign="top">
	    <th scope="row"><label for="css">CSS</label></th>
	    <td><textarea name="css"><?php echo get_option('base_css'); ?></textarea></td>
	    </tr>

	    
	</table>
 
	<p class="submit">
	    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
	</p>
    </form>
</div>